CSFML
Data Fields
sfBlendMode Struct Reference

Blending mode for drawing. More...

`#include <BlendMode.h>`

## Data Fields

sfBlendFactor | colorSrcFactor
| Source blending factor for the color channels. More...
sfBlendFactor | colorDstFactor
| Destination blending factor for the color channels. More...
sfBlendEquation | colorEquation
| Blending equation for the color channels. More...
sfBlendFactor | alphaSrcFactor
| Source blending factor for the alpha channel. More...
sfBlendFactor | alphaDstFactor
| Destination blending factor for the alpha channel. More...
sfBlendEquation | alphaEquation
| Blending equation for the alpha channel. More...

## Detailed Description

Blending mode for drawing.

Definition at line 69 of file BlendMode.h.

## Field Documentation

## ◆ alphaDstFactor

sfBlendFactor sfBlendMode::alphaDstFactor

Destination blending factor for the alpha channel.

Definition at line 75 of file BlendMode.h.

## ◆ alphaEquation

sfBlendEquation sfBlendMode::alphaEquation

Blending equation for the alpha channel.

Definition at line 76 of file BlendMode.h.

## ◆ alphaSrcFactor

sfBlendFactor sfBlendMode::alphaSrcFactor

Source blending factor for the alpha channel.

Definition at line 74 of file BlendMode.h.

## ◆ colorDstFactor

sfBlendFactor sfBlendMode::colorDstFactor

Destination blending factor for the color channels.

Definition at line 72 of file BlendMode.h.

## ◆ colorEquation

sfBlendEquation sfBlendMode::colorEquation

Blending equation for the color channels.

Definition at line 73 of file BlendMode.h.

## ◆ colorSrcFactor

sfBlendFactor sfBlendMode::colorSrcFactor

Source blending factor for the color channels.

Definition at line 71 of file BlendMode.h.

The documentation for this struct was generated from the following file:

- BlendMode.h